Skip to main content
DELETE
/
organizations
/
{organization_name}
/
projects
/
{project_name}
/
queues
/
{queue_name}
/
jobs
/
{queue_job_id}
C#
using Salad.Cloud.SDK;
using Salad.Cloud.SDK.Config;

var config = new SaladCloudSdkConfig{};

var client = new SaladCloudSdkClient(config);

await client.Queues.DeleteQueueJobAsync("acme-corp", "dev-env", "fifo-queue", "7dcd6922-50e9-4d56-89b5-91cde26f0211");
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 349,
  "title": "<string>",
  "type": "about:blank"
}

Documentation Index

Fetch the complete documentation index at: https://docs.salad.com/llms.txt

Use this file to discover all available pages before exploring further.

Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

project_name
string
required

Your project name. This represents a collection of related SaladCloud resources. The project must be created before using the API. The project name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"dev-env"

queue_name
string
required

The queue name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"fifo-queue"

queue_job_id
string<uuid>
required

The job identifier. This is automatically generated and assigned when the job is created.

Example:

"7dcd6922-50e9-4d56-89b5-91cde26f0211"

Response

Accepted